eID middleware |

# be.portugal.eid.PTEID_ExReleaseNeeded Class Reference

Exception class Release Needed (error code = EIDMW_ERR_RELEASE_NEEDED). More...

Inheritance diagram for be.portugal.eid.PTEID_ExReleaseNeeded:

List of all members.

## Public Member Functions
synchronized void | delete ()
| PTEID_ExReleaseNeeded ()
| Constructor.
## Protected Member Functions
| PTEID_ExReleaseNeeded (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_ExReleaseNeeded obj)

## Detailed Description

Exception class Release Needed (error code = EIDMW_ERR_RELEASE_NEEDED).

Thrown when the application closes without calling PTEID_RealeaseSDK()

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_ExReleaseNeeded.PTEID_ExReleaseNeeded | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

be.portugal.eid.PTEID_ExReleaseNeeded.PTEID_ExReleaseNeeded | ( |  | ) |

Constructor.

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_ExReleaseNeeded.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_Exception.

References be.portugal.eid.PTEID_Exception.swigCMemOwn.

void be.portugal.eid.PTEID_ExReleaseNeeded.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_Exception.

static long be.portugal.eid.PTEID_ExReleaseNeeded.getCPtr | ( | PTEID_ExReleaseNeeded | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_ExReleaseNeeded.swigCPtr.